﻿using System;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication4
{
  class Program
  {
    static void Main(string[] args)
    {
      IFriendDDataProvider dataProvider = new FriendDataProvider();
      DoTheStuff(dataProvider);
    }

    private static void DoTheStuff(IFriendDDataProvider dataProvider)
    {
      var friends = dataProvider.LoadFriends();

      var printer = new FriendPrinter(Console.Out);
      printer.PrintFriends(friends, new FriendFormatterFirstNameFirstDashes());

      Console.ReadLine();
    }
  }
}
